## ros-noetic-kvh-geo-fog-3d-rviz 1.5.1

=== CMakeLists.txt ===
# Copyright (c) 2019, The MITRE Corporation
# All rights reserved.
#
# Sections of this project contains content developed by The MITRE Corporation.
# If this code is used in a deployment or embedded within another project,
# it is requested that you send an email to opensource@mitre.org in order to
# let us know where this software is being used.

cmake_minimum_required(VERSION 2.8.3)
project(kvh_geo_fog_3d_rviz)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  kvh_geo_fog_3d_msgs
  roslint
  rviz
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)

# QT
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if("${rviz_QT_VERSION}" VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED COMPONENTS QtCore QtGui)
  include(${QT_USE_FILE})
  qt4_wrap_cpp(QT_MOC include/kvh_geo_fog_3d_status_panel.hpp include/kvh_status_painter.hpp)
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED COMPONENTS Core Widgets)
  set(QT_LIBRARIES Qt5::Core Qt5::Widgets)
  qt5_wrap_cpp(QT_MOC include/kvh_geo_fog_3d_status_panel.hpp include/kvh_status_painter.hpp)
endif()

add_definitions(-DQT_NO_KEYWORDS)


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
 INCLUDE_DIRS include
 LIBRARIES ${PROJECT_NAME}
 CATKIN_DEPENDS diagnostic_msgs kvh_geo_fog_3d_msgs rviz
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
 include
 ${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(${PROJECT_NAME}
  src/kvh_geo_fog_3d_status_panel.cpp
  src/kvh_status_painter.cpp
  ${QT_MOC}
)

# Add cmake target dependencies of the library
# as an example, code may need to be generated before libraries
# either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

# Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
  PATTERN ".svn" EXCLUDE
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add roslint target
# Note that roslint requires explicit lists of source/header
# files, which is not ideal. There's an issue open from 2014
# about this (https://github.com/ros/roslint/issues/27)
#
# Ignore ROS's suggestions for:
# * Comment spacing
# * Parentesis whitespace
set(ROSLINT_CPP_OPTS "--filter=-whitespace/comments,-whitespace/parens")
roslint_cpp(
  src/kvh_geo_fog_3d_status_panel.cpp
  src/kvh_status_painter.cpp
  include/kvh_geo_fog_3d_status_panel.hpp
  include/kvh_status_painter.hpp
)

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_ublox_rviz.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-noetic-kvh-geo-fog-3d-rviz (1.5.1-1buster) buster; urgency=high

  * Fixing merge error in changelog
  * Contributors: Zach LaCelle

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.5.0-1buster) buster; urgency=high

  * No changes to the RViz plugin.

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.4.0-1buster) buster; urgency=high

  * No changes to the RViz plugin.

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 16 Jun 2020 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.3.3-1buster) buster; urgency=high

  * Fixing missing dependency in kvh_geo_fog_3d_rviz package.
  * Contributors: LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 21 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.3.2-1buster) buster; urgency=high

  * No changes to rviz package.

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 17 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.3.1-1buster) buster; urgency=high

  * No changes to rviz package.

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 14 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.3.0-1buster) buster; urgency=high

  * Fixing warnings in the catkin_lint results.
  * Updating packaging and cmakes to conform to catkin_lint
  * Trying a different way to call find_package for qt5. I have no idea why it's not finding it.
  * Removing the EXACT requirement for Qt libraries.
  * Adding qt5 dependencies to package.xml in melodic.
  * Fixing spelling issue in doxygen comment.
  * Adding doxygen comments to the status panel code.
  * Adding copyright file headers.
  * Moving license files to be under each package, since theoretically they could be licensed separately.
  * Adding license information.
  * Updating cmakelists to build roslint targets correctly
  * Adding devops scripts
  * Contributors: LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Mon, 02 Dec 2019 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.2.0-1buster) buster; urgency=high

  * Merge branch 'rviz_plugin' into 'master'
    Rviz plugin
    See merge request DART/kvh_geo_fog_3d!16
  * Rviz plugin
  * Contributors: Bostic, Trevor R

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 27 Sep 2019 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-rviz (1.1.0-1buster) buster; urgency=high

  * Adding build/clean scripts for the rviz plugin.
  * Adding stubs for the rviz plugin.

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 13 Aug 2019 17:32:35 -0400

=== debian/control ===
Source: ros-noetic-kvh-geo-fog-3d-rviz
Section: misc
Priority: optional
Maintainer: Zach LaCelle <zlacelle@mitre.org>
Build-Depends: debhelper (>= 9.0.0), libqt5multimedia5-plugins, libqt5svg5-dev, qtbase5-dev, qtdeclarative5-dev, qtmultimedia5-dev, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-kvh-geo-fog-3d-msgs, ros-noetic-roslint, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-kvh-geo-fog-3d-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-msgs, ros-noetic-kvh-geo-fog-3d-msgs, ros-noetic-rviz
Description: The KVH GEO FOG 3D rviz plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-kvh-geo-fog-3d-rviz//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
